##
##  ucblogo.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2010 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         ucblogo
Summary:      Berkeley Logo Interpreter
URL:          http://www.cs.berkeley.edu/~bh/
Vendor:       Brian Harvey
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Language
License:      GPL
Version:      6.0
Release:      20100111

#   list of sources
Source0:      ftp://anarres.cs.berkeley.edu/pub/ucblogo/ucblogo-%{version}.tar.gz
Patch0:       ucblogo.patch

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20040130, make
PreReq:       OpenPKG, openpkg >= 20040130
AutoReq:      no
AutoReqProv:  no

%description
    Berkeley Logo (ucblogo) is an interpreter for the Logo programming
    language. Logo is a computer programming language designed for use
    by learners, including children. This dialect of Logo features
    random-access arrays, variable number of inputs to user-defined
    procedures, various error handling improvements, comments and
    continuation lines, first-class instruction and expression
    templates, and macros.

%track
    prog ucblogo = {
        version   = %{version}
        url       = ftp://anarres.cs.berkeley.edu/pub/ucblogo/
        regex     = ucblogo-(__VER__)\.tar\.gz
    }

%prep
    %setup -q
    %patch -p0
    find . -type d -name CVS -print | xargs rm -rf

%build
    rm -f config.cache
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags}" \
    MAKE="%{l_make}" \
    ./configure \
        --prefix=%{l_prefix} \
        --without-x
    %{l_make} %{l_mflags} \
        BINDIR="%{l_prefix}/bin" \
        LIBLOC="%{l_prefix}/lib/ucblogo"

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_make} %{l_mflags} install \
        BINDIR="$RPM_BUILD_ROOT%{l_prefix}/bin" \
        LIBLOC="$RPM_BUILD_ROOT%{l_prefix}/lib/ucblogo"
    rm -f $RPM_BUILD_ROOT%{l_prefix}/lib/ucblogo/file\?
    rm -f $RPM_BUILD_ROOT%{l_prefix}/lib/ucblogo/\?rest
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

